Resolido Docs
Knowledge

Update knowledge

PATCH
/knowledge-sources/{sourceId}

Rename a source or replace the text of a text/Q&A source (re-indexes it). Owner/admin.

Authorization

bearer knowledge:write
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: knowledge:write

Path Parameters

sourceId*string

Knowledge source id. Never invent ids – list resources first.

Length1 <= length <= 64

Request Body

application/json
  1. body
name?string
Length2 <= length <= 200
content?string

New full text (text sources).

Length10 <= length <= 100000
question?string

Q&A sources: new question.

Length3 <= length <= 500
answer?string

Q&A sources: new answer.

Length1 <= length <= 10000

Response Body

Success

application/json
  1. response
id*string
status*string
agentIds*array<string>
selectedPages?array<string>
next*string
curl -X PATCH "https://example.com/knowledge-sources/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "status": "string",  "agentIds": [    "string"  ],  "selectedPages": [    "string"  ],  "next": "string"}